Index: /branches/Scheduling/HeuristicLab.Problems.Scheduling/3.3/Decoders/PRVDecoder.cs
===================================================================
--- /branches/Scheduling/HeuristicLab.Problems.Scheduling/3.3/Decoders/PRVDecoder.cs	(revision 6405)
+++ /branches/Scheduling/HeuristicLab.Problems.Scheduling/3.3/Decoders/PRVDecoder.cs	(revision 6406)
@@ -20,182 +20,174 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
+using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Common;
-using HeuristicLab.Data;
-using HeuristicLab.Encodings.PermutationEncoding;
+using HeuristicLab.Encodings.ScheduleEncoding;
+using HeuristicLab.Encodings.ScheduleEncoding.PriorityRulesVector;
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Problems.Scheduling.Interfaces;
-using HeuristicLab.Encodings.SchedulingEncoding.PriorityRulesVector;
-using HeuristicLab.Encodings.SchedulingEncoding;
-
-namespace HeuristicLab.Problems.Scheduling.Decoders {
-  [Item("Job Sequencing Matrix Decoder", "Applies the GifflerThompson algorithm to create an active schedule from a JobSequencing Matrix.")]
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+
+namespace HeuristicLab.Problems.Scheduling {
+  [Item("JobSequencingMatrixDecoder", "Applies the GifflerThompson algorithm to create an active schedule from a JobSequencing Matrix.")]
   [StorableClass]
-  public class PRVDecoder : SchedulingDecoder<PRVEncoding>, IStochasticOperator, IJSSPOperator {
+  public class PRVDecoder : ScheduleDecoder<PRVEncoding>, IStochasticOperator, IJSSPOperator {
+    public ILookupParameter<IRandom> RandomParameter {
+      get { return (LookupParameter<IRandom>)Parameters["Random"]; }
+    }
+    public ILookupParameter<ItemList<Job>> JobDataParameter {
+      get { return (LookupParameter<ItemList<Job>>)Parameters["JobData"]; }
+    }
+
+    #region Private Members
+    [Storable]
+    private Schedule resultingSchedule;
+
+    [Storable]
+    private ItemList<Job> jobs;
+    #endregion
+
+    #region Priority Rules
+    //smallest number of remaining tasks
+    private Task FILORule(ItemList<Task> tasks) {
+      Task currentResult = tasks[tasks.Count - 1];
+      return currentResult;
+    }
+
+    //earliest start time
+    private Task ESTRule(ItemList<Task> tasks) {
+      Task currentResult = RandomRule(tasks);
+      double currentEST = double.MaxValue;
+      foreach (Task t in tasks) {
+        double est = GTAlgorithmUtils.ComputeEarliestStartTime(t, resultingSchedule);
+        if (est < currentEST) {
+          currentEST = est;
+          currentResult = t;
+        }
+      }
+      return currentResult;
+    }
+
+    //shortest processingtime
+    private Task SPTRule(ItemList<Task> tasks) {
+      Task currentResult = RandomRule(tasks);
+      foreach (Task t in tasks) {
+        if (t.Duration.Value < currentResult.Duration.Value)
+          currentResult = t;
+      }
+      return currentResult;
+    }
+
+    //longest processing time    
+    private Task LPTRule(ItemList<Task> tasks) {
+      Task currentResult = RandomRule(tasks);
+      foreach (Task t in tasks) {
+        if (t.Duration.Value > currentResult.Duration.Value)
+          currentResult = t;
+      }
+      return currentResult;
+    }
+
+    //most work remaining
+    private Task MWRRule(ItemList<Task> tasks) {
+      Task currentResult = RandomRule(tasks);
+      double currentLargestRemainingProcessingTime = 0;
+      foreach (Task t in tasks) {
+        double remainingProcessingTime = 0;
+        foreach (Task jt in jobs[t.JobNr.Value].Tasks) {
+          if (!jt.IsScheduled.Value)
+            remainingProcessingTime += jt.Duration.Value;
+        }
+        if (remainingProcessingTime > currentLargestRemainingProcessingTime) {
+          currentLargestRemainingProcessingTime = remainingProcessingTime;
+          currentResult = t;
+        }
+      }
+      return currentResult;
+    }
+
+    //least work remaining
+    private Task LWRRule(ItemList<Task> tasks) {
+      Task currentResult = RandomRule(tasks);
+      double currentSmallestRemainingProcessingTime = double.MaxValue;
+      foreach (Task t in tasks) {
+        double remainingProcessingTime = 0;
+        foreach (Task jt in jobs[t.JobNr.Value].Tasks) {
+          if (!jt.IsScheduled.Value)
+            remainingProcessingTime += jt.Duration.Value;
+        }
+        if (remainingProcessingTime < currentSmallestRemainingProcessingTime) {
+          currentSmallestRemainingProcessingTime = remainingProcessingTime;
+          currentResult = t;
+        }
+      }
+      return currentResult;
+    }
+
+    //most operations remaining
+    private Task MORRule(ItemList<Task> tasks) {
+      Task currentResult = RandomRule(tasks);
+      int currentLargestNrOfRemainingTasks = 0;
+      foreach (Task t in tasks) {
+        int nrOfRemainingTasks = 0;
+        foreach (Task jt in jobs[t.JobNr.Value].Tasks) {
+          if (!jt.IsScheduled.Value)
+            nrOfRemainingTasks++;
+        }
+        if (currentLargestNrOfRemainingTasks < nrOfRemainingTasks) {
+          currentLargestNrOfRemainingTasks = nrOfRemainingTasks;
+          currentResult = t;
+        }
+      }
+      return currentResult;
+    }
+
+    //least operationsremaining
+    private Task LORRule(ItemList<Task> tasks) {
+      Task currentResult = RandomRule(tasks);
+      int currentSmallestNrOfRemainingTasks = int.MaxValue;
+      foreach (Task t in tasks) {
+        int nrOfRemainingTasks = 0;
+        foreach (Task jt in jobs[t.JobNr.Value].Tasks) {
+          if (!jt.IsScheduled.Value)
+            nrOfRemainingTasks++;
+        }
+        if (currentSmallestNrOfRemainingTasks > nrOfRemainingTasks) {
+          currentSmallestNrOfRemainingTasks = nrOfRemainingTasks;
+          currentResult = t;
+        }
+      }
+      return currentResult;
+    }
+
+    //first operation in Queue
+    private Task FIFORule(ItemList<Task> tasks) {
+      Task currentResult = tasks[0];
+      return currentResult;
+    }
+
+    //random
+    private Task RandomRule(ItemList<Task> tasks) {
+      Task currentResult = tasks[RandomParameter.ActualValue.Next(tasks.Count)];
+      return currentResult;
+    }
+
+    #endregion
+
     [StorableConstructor]
     protected PRVDecoder(bool deserializing) : base(deserializing) { }
     protected PRVDecoder(PRVDecoder original, Cloner cloner)
       : base(original, cloner) {
-        this.resultingSchedule = cloner.Clone(original.resultingSchedule);
+      this.resultingSchedule = cloner.Clone(original.resultingSchedule);
     }
     public override IDeepCloneable Clone(Cloner cloner) {
       return new PRVDecoder(this, cloner);
     }
-
-    public ILookupParameter<IRandom> RandomParameter {
-      get { return (LookupParameter<IRandom>)Parameters["Random"]; }
-    }
-    public ILookupParameter<ItemList<Job>> JobDataParameter {
-      get { return (LookupParameter<ItemList<Job>>)Parameters["JobData"]; }
-    }
-
-    #region Private Members
-    [Storable]
-    private Schedule resultingSchedule;
-
-    [Storable]
-    private ItemList<Job> jobs;
-    #endregion
-
-    #region Priority Rules
-    //smallest number of remaining tasks
-    private Task FILORule(ItemList<Task> tasks) {
-      Task currentResult = tasks[tasks.Count-1];
-      return currentResult;
-    }
-
-    //earliest start time
-    private Task ESTRule(ItemList<Task> tasks) {
-      Task currentResult = RandomRule(tasks);
-      double currentEST = double.MaxValue;
-      foreach (Task t in tasks) {
-        double est = GTAlgorithmUtils.ComputeEarliestStartTime(t, resultingSchedule);
-        if (est < currentEST) {
-          currentEST = est;
-          currentResult = t;
-        }
-      }
-      return currentResult;
-    }
-   
-    //shortest processingtime
-    private Task SPTRule(ItemList<Task> tasks) {
-      Task currentResult = RandomRule(tasks);
-      foreach (Task t in tasks) {
-        if (t.Duration.Value < currentResult.Duration.Value)
-          currentResult = t;
-      }
-      return currentResult;
-    }
-
-    //longest processing time    
-    private Task LPTRule(ItemList<Task> tasks) {
-      Task currentResult = RandomRule(tasks);
-      foreach (Task t in tasks) {
-        if (t.Duration.Value > currentResult.Duration.Value)
-          currentResult = t;
-      }
-      return currentResult;
-    } 
-
-    //most work remaining
-    private Task MWRRule(ItemList<Task> tasks) {
-      Task currentResult = RandomRule(tasks);
-      double currentLargestRemainingProcessingTime = 0;
-      foreach (Task t in tasks) {
-        double remainingProcessingTime = 0;
-        foreach (Task jt in jobs[t.JobNr.Value].Tasks) {
-          if (!jt.IsScheduled.Value)
-            remainingProcessingTime += jt.Duration.Value;
-        }
-        if (remainingProcessingTime > currentLargestRemainingProcessingTime) {
-          currentLargestRemainingProcessingTime = remainingProcessingTime;
-          currentResult = t;
-        }
-      }
-      return currentResult;
-    }
-   
-    //least work remaining
-    private Task LWRRule(ItemList<Task> tasks) {
-      Task currentResult = RandomRule(tasks);
-      double currentSmallestRemainingProcessingTime = double.MaxValue;
-      foreach (Task t in tasks) {
-        double remainingProcessingTime = 0;
-        foreach (Task jt in jobs[t.JobNr.Value].Tasks) {
-          if (!jt.IsScheduled.Value)
-            remainingProcessingTime += jt.Duration.Value;
-        }
-        if (remainingProcessingTime < currentSmallestRemainingProcessingTime) {
-          currentSmallestRemainingProcessingTime = remainingProcessingTime;
-          currentResult = t;
-        }
-      }
-      return currentResult;
-    }
-
-    //most operations remaining
-    private Task MORRule(ItemList<Task> tasks) {
-      Task currentResult = RandomRule(tasks);
-      int currentLargestNrOfRemainingTasks = 0;
-      foreach (Task t in tasks) {
-        int nrOfRemainingTasks = 0;
-        foreach (Task jt in jobs[t.JobNr.Value].Tasks) {
-          if (!jt.IsScheduled.Value)
-            nrOfRemainingTasks++;
-        }
-        if (currentLargestNrOfRemainingTasks < nrOfRemainingTasks) {
-          currentLargestNrOfRemainingTasks = nrOfRemainingTasks;
-          currentResult = t;
-        }
-      }
-      return currentResult;
-    }
-    
-    //least operationsremaining
-    private Task LORRule(ItemList<Task> tasks) {
-      Task currentResult = RandomRule(tasks);
-      int currentSmallestNrOfRemainingTasks = int.MaxValue;
-      foreach (Task t in tasks) {
-        int nrOfRemainingTasks = 0;
-        foreach (Task jt in jobs[t.JobNr.Value].Tasks) {
-          if (!jt.IsScheduled.Value)
-            nrOfRemainingTasks++;
-        }
-        if (currentSmallestNrOfRemainingTasks > nrOfRemainingTasks) {
-          currentSmallestNrOfRemainingTasks = nrOfRemainingTasks;
-          currentResult = t;
-        }
-      }
-      return currentResult;
-    }
-                
-    //first operation in Queue
-    private Task FIFORule(ItemList<Task> tasks) {
-      Task currentResult = tasks[0];
-      return currentResult;
-    }
-                  
-    //random
-    private Task RandomRule(ItemList<Task> tasks) {
-      Task currentResult = tasks[RandomParameter.ActualValue.Next(tasks.Count)];
-      return currentResult;
-    }
-
-    #endregion
 
     public PRVDecoder()
       : base() {
       Parameters.Add(new LookupParameter<IRandom>("Random", "The pseudo random number generator which should be used for stochastic manipulation operators."));
-      Parameters.Add(new LookupParameter<ItemList<Job>>("JobData", "Job data taken from the JSSP - Instance."));
-    }
-
-
+      Parameters.Add(new LookupParameter<ItemList<Job>>("JobData", "Job data taken from the SchedulingProblem - Instance."));
+      ScheduleEncodingParameter.ActualName = "PriorityRulesVector";
+    }
 
     private Task SelectTaskFromConflictSet(ItemList<Task> conflictSet, int ruleIndex, int nrOfRules) {
@@ -221,5 +213,5 @@
     public override Schedule CreateScheduleFromEncoding(PRVEncoding solution) {
       jobs = (ItemList<Job>)JobDataParameter.ActualValue.Clone();
-      resultingSchedule = new Schedule(new IntValue(jobs[0].Tasks.Count));
+      resultingSchedule = new Schedule(jobs[0].Tasks.Count);
 
       //Reset scheduled tasks in result
@@ -247,5 +239,5 @@
         //STEP 4 - Adding the selected operation to the current schedule
         selectedTask.IsScheduled.Value = true;
-        double startTime = GTAlgorithmUtils.ComputeEarliestStartTime (selectedTask, resultingSchedule);
+        double startTime = GTAlgorithmUtils.ComputeEarliestStartTime(selectedTask, resultingSchedule);
         resultingSchedule.ScheduleTask(selectedTask.ResourceNr.Value, startTime, selectedTask.Duration.Value, selectedTask.JobNr.Value);
 
@@ -259,5 +251,5 @@
     public override IOperation Apply() {
       return base.Apply();
-    } 
+    }
   }
 }
Index: /branches/Scheduling/HeuristicLab.Problems.Scheduling/3.3/Decoders/PWRDecoder.cs
===================================================================
--- /branches/Scheduling/HeuristicLab.Problems.Scheduling/3.3/Decoders/PWRDecoder.cs	(revision 6405)
+++ /branches/Scheduling/HeuristicLab.Problems.Scheduling/3.3/Decoders/PWRDecoder.cs	(revision 6406)
@@ -20,22 +20,23 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
+using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Common;
+using HeuristicLab.Encodings.ScheduleEncoding;
+using HeuristicLab.Encodings.ScheduleEncoding.PermutationWithRepetition;
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Data;
-using HeuristicLab.Encodings.SchedulingEncoding;
-using HeuristicLab.Encodings.SchedulingEncoding.PermutationWithRepetition;
-using HeuristicLab.Problems.Scheduling.Interfaces;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
-namespace HeuristicLab.Problems.Scheduling.Decoders {
+namespace HeuristicLab.Problems.Scheduling {
   [Item("PWRDecoder", "An item used to convert a PWR-individual into a generalized schedule.")]
   [StorableClass]
-  public class PWRDecoder : SchedulingDecoder<PWREncoding>, IStochasticOperator, IJSSPOperator {
+  public class PWRDecoder : ScheduleDecoder<PWREncoding>, IStochasticOperator, IJSSPOperator {
+    public ILookupParameter<IRandom> RandomParameter {
+      get { return (LookupParameter<IRandom>)Parameters["Random"]; }
+    }
+    public ILookupParameter<ItemList<Job>> JobDataParameter {
+      get { return (LookupParameter<ItemList<Job>>)Parameters["JobData"]; }
+    }
+
     [StorableConstructor]
     protected PWRDecoder(bool deserializing) : base(deserializing) { }
@@ -47,27 +48,21 @@
     }
 
-    public ILookupParameter<IRandom> RandomParameter {
-      get { return (LookupParameter<IRandom>)Parameters["Random"]; }
-    }
-    public ILookupParameter<ItemList<Job>> JobDataParameter {
-      get { return (LookupParameter<ItemList<Job>>)Parameters["JobData"]; }
-    }
-
     public PWRDecoder()
       : base() {
       Parameters.Add(new LookupParameter<IRandom>("Random", "The pseudo random number generator which should be used for stochastic manipulation operators."));
       Parameters.Add(new LookupParameter<ItemList<Job>>("JobData", "Job data taken from the JSSP - Instance."));
+      ScheduleEncodingParameter.ActualName = "PermutationWithRepetition";
     }
 
     public override Schedule CreateScheduleFromEncoding(PWREncoding solution) {
       ItemList<Job> jobs = (ItemList<Job>)JobDataParameter.ActualValue.Clone();
-      Schedule resultingSchedule = new Schedule(new IntValue(jobs[0].Tasks.Count));
+      Schedule resultingSchedule = new Schedule(jobs[0].Tasks.Count);
       foreach (int jobNr in solution.PermutationWithRepetition) {
         int i = 0;
         while (jobs[jobNr].Tasks[i].IsScheduled.Value) i++;
         Task currentTask = jobs[jobNr].Tasks[i];
-        double startTime = GTAlgorithmUtils.ComputeEarliestStartTime (currentTask, resultingSchedule);
+        double startTime = GTAlgorithmUtils.ComputeEarliestStartTime(currentTask, resultingSchedule);
         currentTask.IsScheduled.Value = true;
-        resultingSchedule.ScheduleTask(currentTask.ResourceNr.Value,startTime, currentTask.Duration.Value, currentTask.JobNr.Value);
+        resultingSchedule.ScheduleTask(currentTask.ResourceNr.Value, startTime, currentTask.Duration.Value, currentTask.JobNr.Value);
       }
       return resultingSchedule;
@@ -76,5 +71,5 @@
     public override IOperation Apply() {
       return base.Apply();
-    } 
+    }
   }
 }
Index: /branches/Scheduling/HeuristicLab.Problems.Scheduling/3.3/Evaluators/MakespanEvaluator.cs
===================================================================
--- /branches/Scheduling/HeuristicLab.Problems.Scheduling/3.3/Evaluators/MakespanEvaluator.cs	(revision 6405)
+++ /branches/Scheduling/HeuristicLab.Problems.Scheduling/3.3/Evaluators/MakespanEvaluator.cs	(revision 6406)
@@ -20,17 +20,11 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
+using HeuristicLab.Common;
 using HeuristicLab.Core;
+using HeuristicLab.Data;
+using HeuristicLab.Encodings.ScheduleEncoding;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Common;
-using HeuristicLab.Data;
-using HeuristicLab.Optimization;
-using HeuristicLab.Parameters;
-using HeuristicLab.Encodings.SchedulingEncoding;
 
-namespace HeuristicLab.Problems.Scheduling.Evaluators {
+namespace HeuristicLab.Problems.Scheduling {
   [Item("Makespan Evaluator", "Represents an evaluator using the maximum makespan of a schedule.")]
   [StorableClass]
@@ -45,8 +39,8 @@
     }
 
-    public MakespanEvaluator () : base () { }
+    public MakespanEvaluator() : base() { }
 
     protected override DoubleValue evaluate(Schedule schedule) {
-      DoubleValue quality = new DoubleValue (0);
+      DoubleValue quality = new DoubleValue(0);
       foreach (Resource r in schedule.Resources) {
         if (r.TotalDuration.Value > quality.Value) {
Index: /branches/Scheduling/HeuristicLab.Problems.Scheduling/3.3/Evaluators/MeanTardinessEvaluator.cs
===================================================================
--- /branches/Scheduling/HeuristicLab.Problems.Scheduling/3.3/Evaluators/MeanTardinessEvaluator.cs	(revision 6405)
+++ /branches/Scheduling/HeuristicLab.Problems.Scheduling/3.3/Evaluators/MeanTardinessEvaluator.cs	(revision 6406)
@@ -20,18 +20,12 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
+using HeuristicLab.Common;
 using HeuristicLab.Core;
+using HeuristicLab.Data;
+using HeuristicLab.Encodings.ScheduleEncoding;
+using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Common;
-using HeuristicLab.Data;
-using HeuristicLab.Optimization;
-using HeuristicLab.Parameters;
-using HeuristicLab.Encodings.SchedulingEncoding;
-using HeuristicLab.Problems.Scheduling.Interfaces;
 
-namespace HeuristicLab.Problems.Scheduling.Evaluators {
+namespace HeuristicLab.Problems.Scheduling {
   [Item("Mean tardiness Evaluator", "Represents an evaluator using the mean tardiness of a schedule.")]
   [StorableClass]
@@ -57,5 +51,6 @@
     #endregion
 
-    public MeanTardinessEvaluator() : base() {
+    public MeanTardinessEvaluator()
+      : base() {
       Parameters.Add(new LookupParameter<ItemList<Job>>("JobData", "Jobdata defining the precedence relationships and the duration of the tasks in this JSSP-Instance."));
     }
Index: /branches/Scheduling/HeuristicLab.Problems.Scheduling/3.3/Evaluators/SchedulingEvaluationAlgorithm.cs
===================================================================
--- /branches/Scheduling/HeuristicLab.Problems.Scheduling/3.3/Evaluators/SchedulingEvaluationAlgorithm.cs	(revision 6405)
+++ /branches/Scheduling/HeuristicLab.Problems.Scheduling/3.3/Evaluators/SchedulingEvaluationAlgorithm.cs	(revision 6406)
@@ -20,27 +20,21 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+using HeuristicLab.Data;
+using HeuristicLab.Encodings.ScheduleEncoding;
 using HeuristicLab.Operators;
+using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Core;
-using HeuristicLab.Common;
-using HeuristicLab.Optimization;
-using HeuristicLab.Data;
-using HeuristicLab.Parameters;
-using HeuristicLab.Encodings.SchedulingEncoding.Interfaces;
-using HeuristicLab.Encodings.SchedulingEncoding;
 
-namespace HeuristicLab.Problems.Scheduling.Evaluators {
+namespace HeuristicLab.Problems.Scheduling {
   [Item("Scheduling Evaluation Algorithm", "Represents a composition of a decoder and an evaluator for scheduling problems.")]
   [StorableClass]
-  public class SchedulingEvaluationAlgorithm : AlgorithmOperator, ISchedulingEvaluationAlgorithm {
+  public class SchedulingEvaluationAlgorithm : AlgorithmOperator, IScheduleEvaluationAlgorithm {
     [StorableConstructor]
     protected SchedulingEvaluationAlgorithm(bool deserializing) : base(deserializing) { }
     protected SchedulingEvaluationAlgorithm(SchedulingEvaluationAlgorithm original, Cloner cloner)
       : base(original, cloner) {
-        this.evaluator = cloner.Clone(original.evaluator);
+      this.evaluator = cloner.Clone(original.evaluator);
     }
     public override IDeepCloneable Clone(Cloner cloner) {
@@ -60,5 +54,5 @@
     }
 
-    public void InitializeOperatorGraph<T>(SchedulingDecoder<T> decoder) where T: Item, ISchedulingEncoding{
+    public void InitializeOperatorGraph<T>(ScheduleDecoder<T> decoder) where T : Item, IScheduleEncoding {
       OperatorGraph.Operators.Clear();
       OperatorGraph.InitialOperator = decoder;
@@ -68,7 +62,7 @@
     public SchedulingEvaluationAlgorithm()
       : base() {
-        Parameters.Add(new LookupParameter<DoubleValue>("Quality", "The quality value aka fitness value of the solution."));
-        evaluator = new Placeholder();
-        evaluator.OperatorParameter.ActualName = "SolutionEvaluator";
+      Parameters.Add(new LookupParameter<DoubleValue>("Quality", "The quality value aka fitness value of the solution."));
+      evaluator = new Placeholder();
+      evaluator.OperatorParameter.ActualName = "SolutionEvaluator";
     }
 
Index: /branches/Scheduling/HeuristicLab.Problems.Scheduling/3.3/Evaluators/SchedulingEvaluator.cs
===================================================================
--- /branches/Scheduling/HeuristicLab.Problems.Scheduling/3.3/Evaluators/SchedulingEvaluator.cs	(revision 6405)
+++ /branches/Scheduling/HeuristicLab.Problems.Scheduling/3.3/Evaluators/SchedulingEvaluator.cs	(revision 6406)
@@ -20,22 +20,17 @@
 #endregion
 
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+using HeuristicLab.Data;
+using HeuristicLab.Encodings.ScheduleEncoding;
+using HeuristicLab.Operators;
+using HeuristicLab.Parameters;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 
-using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Optimization;
-using HeuristicLab.Data;
-using HeuristicLab.Common;
-using HeuristicLab.Parameters;
-using System;
-using HeuristicLab.Operators;
-using HeuristicLab.Encodings.SchedulingEncoding.Interfaces;
-using HeuristicLab.Encodings.SchedulingEncoding;
-
-
-namespace HeuristicLab.Problems.Scheduling.Evaluators {
+namespace HeuristicLab.Problems.Scheduling {
   [Item("Scheduling Evaluator", "Represents a evaluator class for standard scheduling problems.")]
   [StorableClass]
-  public abstract class SchedulingEvaluator : SingleSuccessorOperator, ISchedulingEvaluator {
+  public abstract class SchedulingEvaluator : SingleSuccessorOperator, IScheduleEvaluator {
     [StorableConstructor]
     protected SchedulingEvaluator(bool deserializing) : base(deserializing) { }
@@ -48,5 +43,5 @@
     }
     public ILookupParameter<DoubleValue> QualityParameter {
-      get { 
+      get {
         if (Parameters.ContainsKey("Quality"))
           return (ILookupParameter<DoubleValue>)Parameters["Quality"];
@@ -55,19 +50,20 @@
       }
     }
-    public ILookupParameter<Schedule> DecodedSchedulingSolutionParameter {
-      get { return (ILookupParameter<Schedule>)Parameters["DecodedSchedulingSolution"]; }
+    public ILookupParameter<Schedule> ScheduleParameter {
+      get { return (ILookupParameter<Schedule>)Parameters["Schedule"]; }
     }
 
-    public SchedulingEvaluator () : base () {
+    public SchedulingEvaluator()
+      : base() {
       Parameters.Add(new LookupParameter<DoubleValue>("Quality", "The quality value aka fitness value of the solution."));
-      Parameters.Add(new LookupParameter<Schedule>("DecodedSchedulingSolution", "The decoded scheduling solution represented as generalized schedule."));
+      Parameters.Add(new LookupParameter<Schedule>("Schedule", "The decoded scheduling solution represented as generalized schedule."));
       Parameters.Add(new LookupParameter<IRandom>("Random", "The pseudo random number generator."));
     }
 
     protected abstract DoubleValue evaluate(Schedule schedule);
-    
+
     public override IOperation Apply() {
-      Schedule decodedSchedulingSolution = DecodedSchedulingSolutionParameter.ActualValue;
-      QualityParameter.ActualValue = evaluate(decodedSchedulingSolution);
+      Schedule schedule = ScheduleParameter.ActualValue;
+      QualityParameter.ActualValue = evaluate(schedule);
       return base.Apply();
     }
Index: /branches/Scheduling/HeuristicLab.Problems.Scheduling/3.3/HeuristicLab.Problems.Scheduling-3.3.csproj
===================================================================
--- /branches/Scheduling/HeuristicLab.Problems.Scheduling/3.3/HeuristicLab.Problems.Scheduling-3.3.csproj	(revision 6405)
+++ /branches/Scheduling/HeuristicLab.Problems.Scheduling/3.3/HeuristicLab.Problems.Scheduling-3.3.csproj	(revision 6406)
@@ -59,5 +59,4 @@
     <Compile Include="Evaluators\MakespanEvaluator.cs" />
     <Compile Include="Evaluators\SchedulingEvaluator.cs" />
-    <Compile Include="IndexedTaskList.cs" />
     <Compile Include="Interfaces\IJSSPOperator.cs" />
     <Compile Include="Job.cs" />
@@ -103,7 +102,7 @@
       <Name>HeuristicLab.Encodings.PermutationEncoding-3.3</Name>
     </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.Encodings.SchedulingEncoding\3.3\HeuristicLab.Encodings.SchedulingEncoding-3.3.csproj">
+    <ProjectReference Include="..\..\HeuristicLab.Encodings.ScheduleEncoding\3.3\HeuristicLab.Encodings.ScheduleEncoding-3.3.csproj">
       <Project>{17F3EF80-B2C3-4B8D-A4D5-BE9CE3BA2606}</Project>
-      <Name>HeuristicLab.Encodings.SchedulingEncoding-3.3</Name>
+      <Name>HeuristicLab.Encodings.ScheduleEncoding-3.3</Name>
     </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Operators\3.3\HeuristicLab.Operators-3.3.csproj">
Index: /branches/Scheduling/HeuristicLab.Problems.Scheduling/3.3/Interfaces/IJSSPOperator.cs
===================================================================
--- /branches/Scheduling/HeuristicLab.Problems.Scheduling/3.3/Interfaces/IJSSPOperator.cs	(revision 6405)
+++ /branches/Scheduling/HeuristicLab.Problems.Scheduling/3.3/Interfaces/IJSSPOperator.cs	(revision 6406)
@@ -1,12 +1,7 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using HeuristicLab.Core;
-using HeuristicLab.Parameters;
+﻿using HeuristicLab.Core;
 
-namespace HeuristicLab.Problems.Scheduling.Interfaces {
+namespace HeuristicLab.Problems.Scheduling {
   public interface IJSSPOperator : IOperator {
-     ILookupParameter<ItemList<Job>> JobDataParameter {get;}
+    ILookupParameter<ItemList<Job>> JobDataParameter { get; }
   }
 }
Index: /branches/Scheduling/HeuristicLab.Problems.Scheduling/3.3/Job.cs
===================================================================
--- /branches/Scheduling/HeuristicLab.Problems.Scheduling/3.3/Job.cs	(revision 6405)
+++ /branches/Scheduling/HeuristicLab.Problems.Scheduling/3.3/Job.cs	(revision 6406)
@@ -20,13 +20,9 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
 using System.Text;
+using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Common;
+using HeuristicLab.Data;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Data;
-using HeuristicLab.Parameters;
 
 namespace HeuristicLab.Problems.Scheduling {
@@ -34,29 +30,24 @@
   [StorableClass]
   public class Job : Item {
+    [Storable]
+    public DoubleValue DueDate { get; set; }
+    [Storable]
+    public IntValue Index { get; set; }
+    [Storable]
+    public ItemList<Task> Tasks { get; set; }
+
     [StorableConstructor]
     protected Job(bool deserializing) : base(deserializing) { }
     protected Job(Job original, Cloner cloner)
       : base(original, cloner) {
-        this.DueDate = cloner.Clone(original.DueDate);
-        this.Index = cloner.Clone(original.Index);
-        this.Tasks = cloner.Clone(original.Tasks);
+      this.DueDate = cloner.Clone(original.DueDate);
+      this.Index = cloner.Clone(original.Index);
+      this.Tasks = cloner.Clone(original.Tasks);
     }
     public override IDeepCloneable Clone(Cloner cloner) {
       return new Job(this, cloner);
     }
-
-    public DoubleValue DueDate { get; set; }
-
-    public IntValue Index {
-      get;
-      set;
-    }
-    public ItemList<Task> Tasks {
-      get;
-      set;
-    }
-
-
-    public Job(IntValue index, DoubleValue dueDate) : base () {
+    public Job(IntValue index, DoubleValue dueDate)
+      : base() {
       Index = index;
       Tasks = new ItemList<Task>();
@@ -72,5 +63,5 @@
       sb.Append("Job#" + Index + " [ ");
       foreach (Task t in Tasks) {
-        sb.Append(t.ToString () + " ");
+        sb.Append(t.ToString() + " ");
       }
       if (DueDate != null)
